[listing]
kod.column='id'
kod.type='string'

;category - v php

zakazka_typ.column = 'business-type'
zakazka_typ.type = 'string'
zakazka_typ.convert.1 = 'Prodej'
zakazka_typ.convert.2 = 'Pronájem'

nemovitost_typ.column = 'type'
nemovitost_typ.type = 'string'
nemovitost_typ.convert.4 = 'Byty'
nemovitost_typ.convert.6 = 'Domy a vily'
nemovitost_typ.convert.10 = 'Chaty a rekreační objekty'
nemovitost_typ.convert.1 = 'Zemědělské objekty'
nemovitost_typ.convert.3 = 'Pozemky'
nemovitost_typ.convert.11 = 'Malé objekty a garáže'
nemovitost_typ.convert.9 = 'Komerční prostory'
nemovitost_typ.convert.2 = 'Komerční objekty'
nemovitost_typ.convert.5 = 'Historické objekty'
nemovitost_typ.convert.7 = 'Hotely, penziony a restaurace'
nemovitost_typ.convert.8 = 'Nájemní domy'

;todo - dopsat podtypy

nemovitost_dispozice.column = 'DISPOZICE'
nemovitost_dispozice.type = 'int'
nemovitost_dispozice.convert.1 = '1'
nemovitost_dispozice.convert.2 = '2'
nemovitost_dispozice.convert.3 = '4'
nemovitost_dispozice.convert.4 = '6'
nemovitost_dispozice.convert.5 = '8'
nemovitost_dispozice.convert.6 = '22'
nemovitost_dispozice.convert.7 = '13'
nemovitost_dispozice.convert.8 = '15'
nemovitost_dispozice.convert.9 = '3'
nemovitost_dispozice.convert.10 = '5'
nemovitost_dispozice.convert.11 = '7'
nemovitost_dispozice.convert.12 = '9'
nemovitost_dispozice.convert.13 = '10'
nemovitost_dispozice.convert.14 = '13'
nemovitost_dispozice.convert.15 = '15'
nemovitost_dispozice.convert.26 = '21'
nemovitost_dispozice.convert.17 = '21'
nemovitost_dispozice.convert.18 = '21'

nemovitost_vlastnictvi.column = 'FORMA_VLASTNICTVI'
nemovitost_vlastnictvi.type = 'int'
nemovitost_vlastnictvi.convert.1 = '1'
nemovitost_vlastnictvi.convert.2 = '2'
nemovitost_vlastnictvi.convert.3 = '6'

nemovitost_plocha_parcely.column = 'PLOCHA_POZEMKU'
nemovitost_plocha_parcely.type = 'int'

nemovitost_plocha_zastavena.column = 'PLOCHA_ZASTAVENA'
nemovitost_plocha_zastavena.type = 'int'

nemovitost_plocha_uzitna.column = 'PLOCHA_UZITNA'
nemovitost_plocha_uzitna.type = 'int'
; zbývající plochy jdou z php

nemovitost_druh_pozemku.column = 'land_type'
nemovitost_druh_pozemku.type = 'string'
nemovitost_druh_pozemku.convert.1 = 'stavební pozemek pro komerční využití'
nemovitost_druh_pozemku.convert.2 = 'stavební pozemek pro bydlení'
nemovitost_druh_pozemku.convert.3 = 'zemědělská plocha'
nemovitost_druh_pozemku.convert.4 = 'lesní plocha'
nemovitost_druh_pozemku.convert.5 = 'louka'
nemovitost_druh_pozemku.convert.6 = 'sad'
nemovitost_druh_pozemku.convert.7 = 'sad'
; todo nemaji ostatní kategorii

nemovitost_stav_objektu.column = 'STAV_NEMOVITOSTI'
nemovitost_stav_objektu.type = 'int'
nemovitost_stav_objektu.convert.1 = '2'
nemovitost_stav_objektu.convert.2 = '3'
nemovitost_stav_objektu.convert.3 = '4'
nemovitost_stav_objektu.convert.4 = '17'
nemovitost_stav_objektu.convert.5 = '7'
nemovitost_stav_objektu.convert.6 = '11'
nemovitost_stav_objektu.convert.7 = '5'
nemovitost_stav_objektu.convert.8 = '15'
nemovitost_stav_objektu.convert.9 = '13'

nemovitost_vybaveno.column = 'ZARIZENY'
nemovitost_vybaveno.type = 'int'
nemovitost_vybaveno.convert.0 = '2'
nemovitost_vybaveno.convert.1 = '1'
nemovitost_vybaveno.convert.-1 = '4'

nemovitost_podlazi_cislo.column = 'PATRO'
nemovitost_podlazi_cislo.type = 'int'

nemovitost_pocet_podlazi.column = 'POCET_NADZEM_PODLAZI'
nemovitost_pocet_podlazi.type = 'int'

;VYTAH nevedeme

nemovitost_balkon.column = 'BALKON'
nemovitost_balkon.type = 'string'
nemovitost_balkon.convert.0 = 'False'
nemovitost_balkon.convert.1 = 'True'
nemovitost_balkon.unset[] = -1

nemovitost_lodzie.column = 'LODZIE'
nemovitost_lodzie.type = 'string'
nemovitost_lodzie.convert.0 = 'False'
nemovitost_lodzie.convert.1 = 'True'
nemovitost_lodzie.unset[] = -1

nemovitost_garaz.column = 'GARAZ'
nemovitost_garaz.type = 'string'
nemovitost_garaz.convert.0 = 'False'
nemovitost_garaz.convert.1 = 'True'
nemovitost_garaz.unset[] = -1

;unified-price v php
;price-type v php
;price v php
;other_payments v php
;hide-price v php

;measurement - v php

nemovitost_popis_detailni.column = 'etc'
nemovitost_popis_detailni.type = 'string'
; první jde titulek ať je pak vidět na Annonci
nemovitost_popis_detailni.value = '@nemovitost_titulek. @this ID nabídky: @kod'

nemovitost_energeticky_stitek.column = 'PENB_TRIDA'
nemovitost_energeticky_stitek.type = 'int'
nemovitost_energeticky_stitek.convert.1 = '1'
nemovitost_energeticky_stitek.convert.2 = '2'
nemovitost_energeticky_stitek.convert.3 = '3'
nemovitost_energeticky_stitek.convert.4 = '4'
nemovitost_energeticky_stitek.convert.5 = '5'
nemovitost_energeticky_stitek.convert.6 = '6'
nemovitost_energeticky_stitek.convert.7 = '7'
nemovitost_energeticky_stitek.unset = '@this > 0 ? @null : @_convertedValue'

nemovitost_merna_rocni_spotreba.column = 'PPENB_UKAZATEL'
nemovitost_merna_rocni_spotreba.type = 'int'
nemovitost_merna_rocni_spotreba.unset = '@this > 0 ? @null : @_convertedValue'

nemovitost_energeticky_stitek_vyhlaska.column = 'PPENB_VYHLASKA'
nemovitost_energeticky_stitek_vyhlaska.type = 'int'
nemovitost_energeticky_stitek_vyhlaska.convert.1 = 1
nemovitost_energeticky_stitek_vyhlaska.unset[] = 0

;makléř jde z php

;adresa se navíc před převodem upravuje v PHP
country.column = 'country'
country.type = 'string'

zip.column = 'zip'
zip.type = 'string'
zip.unset = '@this ? @null : @_convertedValue'

city.column = 'city'
city.type = 'string'

street.column = 'street'
street.type = 'string'

district.column = 'district'
district.type = 'string'

[agent]
uzivatel_os_jmeno_cele.column = 'MAKLER_JMENO'
uzivatel_os_jmeno_cele.type = 'string'

email.column = 'MAKLER_EMAIL'
email.type = 'string'

telefon.column = 'MAKLER_TELEFON'
telefon.type = 'string'
